Loading...
Searching...
No Matches
Synchronization.h File Reference
`#include <Zycore/Defines.h>`
`#include <Zycore/Status.h>`
Include dependency graph for Synchronization.h:

Go to the source code of this file.

## Functions

ZYCORE_EXPORT ZyanStatus | ZyanCriticalSectionInitialize (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanStatus | ZyanCriticalSectionEnter (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanBool | ZyanCriticalSectionTryEnter (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanStatus | ZyanCriticalSectionLeave (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanStatus | ZyanCriticalSectionDelete (ZyanCriticalSection *critical_section)

## Function Documentation

## ZyanCriticalSectionDelete()

ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionDelete | ( | ZyanCriticalSection * | critical_section | ) |

Deletes a critical section.

Parameters

  critical_section | A pointer to the ZyanCriticalSection struct.

## ZyanCriticalSectionEnter()

ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionEnter | ( | ZyanCriticalSection * | critical_section | ) |

Enters a critical section.

Parameters

  critical_section | A pointer to the ZyanCriticalSection struct.

## ZyanCriticalSectionInitialize()

ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionInitialize | ( | ZyanCriticalSection * | critical_section | ) |

Initializes a critical section.

Parameters

  critical_section | A pointer to the ZyanCriticalSection struct.

## ZyanCriticalSectionLeave()

ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionLeave | ( | ZyanCriticalSection * | critical_section | ) |

Leaves a critical section.

Parameters

  critical_section | A pointer to the ZyanCriticalSection struct.

## ZyanCriticalSectionTryEnter()

ZYCORE_EXPORT ZyanBool ZyanCriticalSectionTryEnter | ( | ZyanCriticalSection * | critical_section | ) |

Tries to enter a critical section.

Parameters

  critical_section | A pointer to the ZyanCriticalSection struct.

Returns
  Returns ZYAN_TRUE if the critical section was successfully entered or ZYAN_FALSE, if not.